<template>
  <div v-if="toc.length" class="lg:w-1/4 relative block w-full">
    <div class="lg:sticky lg:top-16 overflow-y-auto h-full lg:h-auto lg:max-h-(screen-16)">
      <nav
        class="lg:py-6 lg:text-right py-4"
        :class="{
          'lg:pl-8': settings.layout !== 'single',
          'lg:px-8': settings.layout === 'single',
        }"
      >
        <p class="lg:mb-2 lg:text-xs mb-3 text-sm font-bold tracking-wider text-gray-500 uppercase">
          {{ $t('toc.title') }}
        </p>
        <scrollactive highlight-first-item active-class="text-primary-500" :offset="0" tag="ul">
          <li v-for="link of toc" :key="link.id" class="dark:text-gray-300 text-gray-700">
            <a
              :href="`#${link.id}`"
              class="scrollactive-item transition-padding hover:pl-1 block text-sm duration-300 ease-in-out"
              :class="{
                'py-2 font-black': link.depth === 2,
                'ml-2 pb-2 font-medium': link.depth === 3,
                'ml-3 pb-2 font-medium': link.depth === 4,
                'ml-4 pb-2 font-normal': link.depth === 5,
                'ml-5 pb-2 font-normal': link.depth === 6,
              }"
              >{{ link.text }}</a
            >
          </li>
        </scrollactive>
      </nav>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  props: {
    toc: {
      type: Array,
      default: () => [],
    },
  },
  computed: {
    ...mapGetters(['settings']),
  },
}
</script>
